//
//  GameScene.swift
//  ex_SpriteKitEditor_node
//
//  Created by yoshiyuki oshige on 2014/10/19.
//  Copyright (c) 2014年 yoshiyuki oshige. All rights reserved.
//

import SpriteKit

class GameScene: SKScene {
    override func didMoveToView(view: SKView) {
        // sksのスプライトノードを参照する
        let treeSprite1 = childNodeWithName("tree1")
        let treeSprite2 = childNodeWithName("tree2")
        
        // SKビューでの座標
        let vw = view.bounds.width
        let pt1 = convertPointFromView(CGPoint(x:vw/4, y:150))
        let pt2 = convertPointFromView(CGPoint(x:vw*3/4, y:250))
        // tree1の座標とスケールを再設定する
        treeSprite1?.position = pt1
        treeSprite1?.setScale(0.5)
        // tree2の座標とスケールを再設定する
        treeSprite2?.position = pt2
        treeSprite2?.setScale(2.0)
    }
}
