//
//  GameScene.swift
//  ex_SKShapeNode
//
//  Created by yoshiyuki oshige on 2014/10/25.
//  Copyright (c) 2014年 yoshiyuki oshige. All rights reserved.
//

import SpriteKit

class GameScene: SKScene {
    override func didMoveToView(view: SKView) {

        // 円形
        let circle = SKShapeNode(circleOfRadius: 50)
        circle.lineWidth = 10 //線幅
        
        // 楕円形
        let egg = SKShapeNode(ellipseOfSize: CGSizeMake(50, 80))
        egg.fillColor = SKColor.whiteColor() //塗り色
        
        // 四角形
        let rect = SKShapeNode(rectOfSize: CGSizeMake(80, 80))
        rect.fillColor = SKColor.whiteColor() //塗り色

        //　角丸四角形
        let roundRect = SKShapeNode(rectOfSize: CGSizeMake(80, 80), cornerRadius: 15)
        roundRect.lineWidth = 5 //線幅
        roundRect.strokeColor = SKColor.blackColor() //線色
       
        // 座標を決める
        circle.position = convertPointFromView(CGPointMake(100,150))
        egg.position = convertPointFromView(CGPointMake(100, 250))
        rect.position = convertPointFromView(CGPointMake(200, 150))
        roundRect.position = convertPointFromView(CGPointMake(200, 250))
        
        // シーンに追加する
        self.addChild(circle)
        self.addChild(egg)
        self.addChild(rect)
        self.addChild(roundRect)
    }
    
 
    
}
