//
//  GameScene.swift
//  ex_SKSpriteNode_child
//
//  Created by yoshiyuki oshige on 2014/10/16.
//  Copyright (c) 2014年 yoshiyuki oshige. All rights reserved.
//

import SpriteKit

class GameScene: SKScene {
    // SKViewに追加されたら実行される
    override func didMoveToView(view: SKView) {
        // 色
        let spColor1 = SKColor.yellowColor()
        let spColor2 = SKColor.blueColor()
        // サイズ(w, h)
        let spSize1 = CGSizeMake(200, 200)
        let spSize2 = CGSizeMake(60, 60)
        // スプライトノードを作る
        let mySprite1 = SKSpriteNode(color: spColor1, size: spSize1)
        let mySprite2 = SKSpriteNode(color: spColor2, size: spSize2)
        
        // シーンでの表示座標（シーン中央）
        mySprite1.position = CGPoint(
            x:CGRectGetMidX(self.frame),
            y:CGRectGetMidY(self.frame));
        
        // mySprite1での表示座標（スプライト中央）
        mySprite2.position = CGPoint(x:0,y:0);
        
        // mySprite1にmySprite2を追加する
        mySprite1.addChild(mySprite2)
        // mySprite1をシーンに追加する
        self.addChild(mySprite1)
    }
}
