//
//  GameScene.swift
//  ex_SKSpriteNode_image
//
//  Created by yoshiyuki oshige on 2014/10/15.
//  Copyright (c) 2014年 yoshiyuki oshige. All rights reserved.
//

import SpriteKit

class GameScene: SKScene {

    // SKViewに追加されたら実行される
    override func didMoveToView(view: SKView) {

        // 画像からスプライトを作る
        let mySprite = SKSpriteNode(imageNamed: "heart.png")
        // サイズ(w, h)
        mySprite.size = CGSizeMake(120, 100)
        // 表示座標（画面中央）
        mySprite.position = CGPoint(
            x:CGRectGetMidX(self.frame), y:CGRectGetMidY(self.frame));
        
        // スプライトノードをシーンに追加する
        self.addChild(mySprite)
    }
    
}
