//
//  GameScene.swift
//  ex_SKVideoNode
//
//  Created by yoshiyuki oshige on 2014/10/15.
//  Copyright (c) 2014年 yoshiyuki oshige. All rights reserved.
//

import SpriteKit

class GameScene: SKScene {
    // SKViewに追加されたら実行される
    override func didMoveToView(view: SKView) {
        // ビデオノードを作る
        let myVideo = SKVideoNode(videoFileNamed: "SUP.MOV")
        myVideo.size = CGSizeMake(320, 180)
        // 映像の天地を反転
        myVideo.zRotation = CGFloat(M_PI)
        //
        myVideo.position = CGPoint(
            x:CGRectGetMidX(self.frame),
            y:CGRectGetMidY(self.frame));
        // ビデオノードをシーンに追加する
        self.addChild(myVideo)
        
        // ビデオを再生する
        myVideo.play()
    }
}
