//
//  GameScene.swift
//  ex_SKAction_followPath
//
//  Created by yoshiyuki oshige on 2014/10/17.
//  Copyright (c) 2014年 yoshiyuki oshige. All rights reserved.
//

import SpriteKit

class GameScene: SKScene {
    override func didMoveToView(view: SKView) {
        // 円のパスを作る
        let thePath = CGPathCreateMutable()
        let radius:CGFloat = 150.0 //半径
        CGPathAddArc(thePath, nil, 0, 0, radius, 0, CGFloat(M_PI*2), true)
            
        // スプライトノードを作る
        let spColor = SKColor.yellowColor()
        let mySprite = SKSpriteNode(color: spColor, size: CGSizeMake(50, 100))
        mySprite.position =  CGPoint(
            x:CGRectGetMidX(self.frame), y:CGRectGetMidY(self.frame))
        
        // パスを進むアクション
        let action = SKAction.followPath(thePath, speed: 100)
        // スプライトにアクションを設定する
        mySprite.runAction(action)
        
        // スプライトをシーンに追加する
         self.addChild(mySprite)
    }

}
