//
//  GameScene.swift
//  ex_SKEmitterNode
//
//  Created by yoshiyuki oshige on 2014/10/16.
//  Copyright (c) 2014年 yoshiyuki oshige. All rights reserved.
//

import SpriteKit

class GameScene: SKScene {
    
    // SKViewに追加されたら実行される
    override func didMoveToView(view: SKView) {
        
        // シーンの背景を黒にする
        self.backgroundColor = SKColor.blackColor()
        
        // パーティクル（エミッターノード）を作る
        let fire = SKEmitterNode(fileNamed:"FireParticle.sks")
        // サイズ(w, h)
        fire.particleSize = CGSizeMake(200, 100)
        // 表示座標（画面中央）
        fire.position = CGPoint(
            x:CGRectGetMidX(self.frame),
            y:CGRectGetMidY(self.frame));
        
        // パーティクルをシーンに追加する
        self.addChild(fire)
    }
    
}
