//
//  GameScene.swift
//  ex_SKLabelNode
//
//  Created by yoshiyuki oshige on 2014/10/15.
//  Copyright (c) 2014年 yoshiyuki oshige. All rights reserved.
//

import SpriteKit

class GameScene: SKScene {
    override func didMoveToView(view: SKView) {
        // ラベルノードを作る
        let myLabel = SKLabelNode()
        // テキスト
        myLabel.text = "Swift, World!"
        // フォント
        myLabel.fontName = "Zapfino"
        // フォントサイズ
        myLabel.fontSize = 42;
        // 文字色
        myLabel.fontColor = SKColor.redColor()
        // 回転
        myLabel.zRotation = CGFloat(M_PI/4)
        // シーンでの表示座標（シーン中央）
        myLabel.position = CGPoint(
            x:CGRectGetMidX(self.frame),
            y:CGRectGetMidY(self.frame));
        // シーンに追加する
        self.addChild(myLabel)
    }
    
}
