//
//  GameScene.swift
//  ex_SKSpriteNode
//
//  Created by yoshiyuki oshige on 2014/10/15.
//  Copyright (c) 2014年 yoshiyuki oshige. All rights reserved.
//

import SpriteKit

class GameScene: SKScene {
    
    // SKViewに追加されたら実行される
    override func didMoveToView(view: SKView) {
        // 色
        let spColor = SKColor.yellowColor()
        // サイズ(w, h)
        let spSize = CGSizeMake(200, 150)
        // スプライトノードを作る
        let mySprite = SKSpriteNode(color: spColor, size: spSize)
        
        // シーンでの表示座標（シーン中央）
        mySprite.position = CGPoint(
            x:CGRectGetMidX(self.frame),
            y:CGRectGetMidY(self.frame))
        
        // スプライトノードをシーンに追加する
        self.addChild(mySprite)
    }
    
}
