//
//  GameScene.swift
//  ex_SKAction_rotateToAngle
//
//  Created by yoshiyuki oshige on 2014/10/18.
//  Copyright (c) 2014年 yoshiyuki oshige. All rights reserved.
//

import SpriteKit

class GameScene: SKScene {
    override func didMoveToView(view: SKView) {
        // スプライトノードを作る
        let mySprite = SKSpriteNode(imageNamed:"Spaceship")
        mySprite.xScale = 0.5
        mySprite.yScale = 0.5
        mySprite.position =  CGPoint(
            x:CGRectGetMidX(self.frame), y:CGRectGetMidY(self.frame))
        
        // 時計回りで180度回転するアクション（3秒間）
        let action = SKAction.rotateToAngle(-CGFloat(M_PI), duration: 3)
        // スプライトにアクションを設定する
        mySprite.runAction(action)
        
        // スプライトをシーンに追加する
        self.addChild(mySprite)
    }
    
}