//
//  GameScene.swift
//  ex_SKAction_scaleBy
//
//  Created by yoshiyuki oshige on 2014/10/18.
//  Copyright (c) 2014年 yoshiyuki oshige. All rights reserved.
//

import SpriteKit

class GameScene: SKScene {
    // スプライトノードの変数
    var mySprite = SKSpriteNode()
    
    override func didMoveToView(view: SKView) {
        // スプライトノードを作る
        mySprite = SKSpriteNode(imageNamed:"Spaceship")
        
        // 開始の縦横スケールを20%に縮小
        mySprite.xScale = 0.2
        mySprite.yScale = 0.2
        
        mySprite.position =  CGPoint(
            x:CGRectGetMidX(self.frame), y:CGRectGetMidY(self.frame))
        self.addChild(mySprite)
    }

    // タップで実行される
    override func touchesBegan(touches: Set<NSObject>, withEvent event: UIEvent) {
        // 現在のサイズを1.5倍にする（0.5秒）
        let action = SKAction.scaleBy(1.5, duration: 0.5)
        // アクションを実行する
        mySprite.runAction(action)
    }
    
}
